[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Brother or Canon; not both



> On Wed 08 Aug 2018 at 19:12:09 -0500, Allen Hoover wrote:
> 
> > Ever since upgrading some customized Debian 64bit systems to Debian 8, I've
> > had trouble with the Canon UFRII printer drivers.  I've now been
> > testing this issue on a vanilla Debian 8, and Debian 9 system with the
> > same issues on both.
> > 
> > I use official Brother printer drivers which are i386 only, so have
> > multi-arch installed, and the libc6-i386 package.  The Canon UFRII
> > package installs fine, but when printing with any of those drivers the
> > following error shows in the status: "Idle - src =
> > libcanon_pdlwrapper.c, line = 514, err = 0nError Response:ReqNo=2,
> > SeqNo=3,opvpErrorNo=-2".  If I uninstall the libc6-i386 package, the
> > Canon drivers dont't throw an error, but the official Brother drivers
> > quit working. The Brother doesn't indicate any error, but it simply
> > prints nothing.
> > 
> > This was very repeatable on the 3 different systems( 2 systems were
> > fresh installs) I've tried.  Its like an On/Off switch, install
> > libc6-i386 and only one brand works, un-install and the only the other
> > brand works
> 
> Printer models, please.
> 
> -- 
> Brian.
> 
> 


The Canon issue first appeared with a Canon MF414, though the status error
message appears when using any of the UFRII drivers. I've been mainly testing
on a Brother MFC 9560, though at least one other official Brother driver has 
same issue.  I'm using very latest UFRII package.


Thanks, Allen






Reply to: